# CUTLASS: default_mma_core_sm50.h File Reference

default_mma_core_sm50.h File Reference

Defines basic properties needed by CTA-level GEMMs assuming expectations about data layout of the global memory fragments, data types, and internal tile sizes. More...

`#include "cutlass/cutlass.h"`
`#include "cutlass/array.h"`
`#include "cutlass/numeric_types.h"`
`#include "cutlass/matrix_shape.h"`
`#include "cutlass/layout/matrix.h"`
`#include "cutlass/transform/pitch_linear_thread_map.h"`
`#include "cutlass/transform/threadblock/regular_tile_iterator.h"`
`#include "cutlass/gemm/warp/mma_simt.h"`
`#include "cutlass/gemm/threadblock/default_mma_core.h"`
Include dependency graph for default_mma_core_sm50.h:

Go to the source code of this file.

## Classes

struct | cutlass::gemm::threadblock::DefaultMmaCore< Shape_, WarpShape_, GemmShape< 1, 1, 1 >, ElementA_, layout::ColumnMajor, ElementB_, layout::RowMajor, ElementC_, LayoutC_, arch::OpClassSimt, 2, Operator_, >

## Namespaces

| cutlass
| cutlass::gemm
| cutlass::gemm::threadblock

## Detailed Description

Partial specializations for threadblock::Mma operations targeting TensorOp instructions.